Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lejos.nxt
Class RCXSensorMultiplexer

    java.lang.Object
      lejos.nxt.I2CSensor
          lejos.nxt.RCXSensorMultiplexer

All Implemented Interfaces:
  SensorConstants

    public class RCXSensorMultiplexer

extends I2CSensor

Supports Mindsensors RXMux
This sensor allows you to connect up to four RCX type sensors toa single port. Be aware that the sensor does not track the ticks of the rotation sensor when the port is not selected.

Author:
  Michael Smith

Field Summary

Fields inherited from interface lejos.nxt.SensorConstants
`MODE_ANGLESTEP, MODE_BOOLEAN, MODE_CELSIUS, MODE_FARENHEIT, MODE_PCTFULLSCALE, MODE_PERIODCOUNTER, MODE_RAW, MODE_TRANSITIONCNT, TYPE_ANGLE, TYPE_CUSTOM, TYPE_LIGHT_ACTIVE, TYPE_LIGHT_INACTIVE, TYPE_LOWSPEED, TYPE_LOWSPEED_9V, TYPE_NO_SENSOR, TYPE_REFLECTION, TYPE_SOUND_DB, TYPE_SOUND_DBA, TYPE_SWITCH, TYPE_TEMPERATURE`

Constructor Summary
`RCXSensorMultiplexer(I2CPort port)`

Method Summary
`void` | `allChannelsOff()` Turns off all channels
`void` | `setChannelFour()` Selects channel four
`void` | `setChannelOne()` Selects channel one
`void` | `setChannelThree()` Selects channel three
`void` | `setChannelTwo()` Selects channel two

Methods inherited from class lejos.nxt.I2CSensor
`getData, getPort, getProductID, getSensorType, getVersion, sendData, sendData, setAddress`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Constructor Detail

### RCXSensorMultiplexer

    public RCXSensorMultiplexer(I2CPort port)

Parameters:
  `port` - NXT Sensor port

Method Detail

### setChannelOne

    public void setChannelOne()

  Selects channel one

### setChannelTwo

    public void setChannelTwo()

  Selects channel two

### setChannelThree

    public void setChannelThree()

  Selects channel three

### setChannelFour

    public void setChannelFour()

  Selects channel four

### allChannelsOff

    public void allChannelsOff()

  Turns off all channels

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD